#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <examplewriter.h>
#include <examplereader.h>

QT_BEGIN_NAMESPACE
namespace Ui { class MainWindow; }
QT_END_NAMESPACE

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();

private slots:
    void on_pushButton_write_line_pressed();

    void on_pushButton_read_dxf_pressed();

private:
    Ui::MainWindow *ui;
};

#endif // MAINWINDOW_H
